Subject: Re: [netext] AD review of draft-ietf-netext-pmip-lr

From: Suresh Krishnan <[email-masked]>
Date: Fri, 9 Dec 2011 01:42:45 -0500

Hi Jari,
  Thanks for the review. I have made most of the changes you suggested,
but I have one question.

Jari Arkko wrote:
> I have reviewed this draft.
> 
> It is in good shape and almost ready to move forward. I did find a couple of issues, however, and the most serious one of these is the one about tear-down. Please fix this and submit a new draft so that I can initiate an IETF last call.
> ...
> 
>>     All the Localized routing messages use a new mobility header type
>>     (TBA1).
>>     The Localized Routing Initiation, described inSection 9.1  <http://tools.ietf.org/html/draft-ietf-netext-pmip-lr-07#section-9.1>  and the
>>     Localized Routing Acknowledgment, described inSection 9.2  <http://tools.ietf.org/html/draft-ietf-netext-pmip-lr-07#section-9.2>  require a
>>     single Mobility Header Type (TBA1) from the Mobility Header Types
>>     registry athttp://www.iana.org/assignments/mobility-parameters
>>
> 
> This seems odd. Usually, a message and its acknowledgment have different message types. TBA1 and TBA2... I can see that you have the R flag, but this isn't the usual way to define new MH messages.

I do not have a strong preference one way or another, but the last two
MH messages for Binding Revocation (RFC5846) and Heartbeat (RFC5847)
seem to be using a shared MH type for both the request and a response.
Let me know if you want me to change this and I will do so.

Thanks
Suresh